Update environment variable (POST)
POST/v2/acts/:actorId/versions/:versionNumber/env-vars/:envVarName
Updates Actor environment variable using values specified by a EnvVar
object
passed as JSON in the POST payload.
This endpoint is an alias for the PUT update environment variable method and behaves identically.
Request
Path Parameters
Actor ID or a tilde-separated owner's username and Actor name.
Example:janedoe~my-actorActor version.
Example:0.1The name of the environment variable
Example:MY_ENV_VARBodyrequired
- name string requiredExample:
MY_ENV_VAR - value string requiredExample:
my-value - isSecret boolean | null nullableExample:
false
Status 200
Response Headers
{
"data": {
"name": "MY_ENV_VAR",
"value": "my-value",
"isSecret": false
}
}
Schema
data object required
- name string requiredExample:
MY_ENV_VAR - value string requiredExample:
my-value - isSecret boolean | null nullableExample:
false
- name string requiredExample:
Status 400
Bad request - invalid input parameters or request body.
{
"error": {
"type": "invalid-input",
"message": "Invalid input: The request body contains invalid data."
}
}
Schema
error object required
- type string requiredExample:
run-failed - message string requiredExample:
Actor run did not succeed (run ID: 55uatRrZib4xbZs, status: FAILED)
- type string requiredExample:
Status 401
Unauthorized - authentication required or invalid token.
{
"error": {
"type": "token-not-valid",
"message": "Authentication token is not valid."
}
}
Schema
error object required
- type string requiredExample:
run-failed - message string requiredExample:
Actor run did not succeed (run ID: 55uatRrZib4xbZs, status: FAILED)
- type string requiredExample:
Status 403
Forbidden - insufficient permissions to perform this action.
{
"error": {
"type": "permission-denied",
"message": "You do not have permission to perform this action."
}
}
Schema
error object required
- type string requiredExample:
run-failed - message string requiredExample:
Actor run did not succeed (run ID: 55uatRrZib4xbZs, status: FAILED)
- type string requiredExample:
Status 404
Not found - the requested resource was not found.
{
"error": {
"type": "actor-not-found",
"message": "Actor was not found"
}
}
Schema
- oneOf
- ActorNotFoundError
- ActorVersionNotFoundError
- EnvironmentVariableNotFoundError
error object
- type string
Possible values: [
actor-not-found] - message stringExample:
Actor was not found
- type string
Status 405
Method not allowed.
{
"error": {
"type": "method-not-allowed",
"message": "This API end-point can only be accessed using the following HTTP methods: OPTIONS,GET"
}
}
Schema
error object required
- type string requiredExample:
run-failed - message string requiredExample:
Actor run did not succeed (run ID: 55uatRrZib4xbZs, status: FAILED)
- type string requiredExample:
Status 413
Payload too large - the request body exceeds the size limit.
{
"error": {
"type": "request-too-large",
"message": "The POST payload is too large (limit: 9437184 bytes, actual length: 10485760 bytes)."
}
}
Schema
error object required
- type string requiredExample:
run-failed - message string requiredExample:
Actor run did not succeed (run ID: 55uatRrZib4xbZs, status: FAILED)
- type string requiredExample:
Status 415
Unsupported media type - the Content-Encoding of the request is not supported.
{
"error": {
"type": "unsupported-content-encoding",
"message": "Content-Encoding \"bla\" is not supported."
}
}
Schema
error object required
- type string requiredExample:
run-failed - message string requiredExample:
Actor run did not succeed (run ID: 55uatRrZib4xbZs, status: FAILED)
- type string requiredExample:
Status 429
Too many requests - rate limit exceeded.
{
"error": {
"type": "rate-limit-exceeded",
"message": "You have exceeded the rate limit. Please try again later."
}
}
Schema
error object required
- type string requiredExample:
run-failed - message string requiredExample:
Actor run did not succeed (run ID: 55uatRrZib4xbZs, status: FAILED)
- type string requiredExample: